curl --request POST \
--url https://api.qovery.com/organization/{organizationId}/apiToken \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"role_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"scope": "ADMIN"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"description": "<string>",
"token": "<string>",
"role_name": "<string>",
"role_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Create an organization api token. You can use the generated token to interact in a programmatic way with our API.
curl --request POST \
--url https://api.qovery.com/organization/{organizationId}/apiToken \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"role_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"scope": "ADMIN"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"description": "<string>",
"token": "<string>",
"role_name": "<string>",
"role_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Documentation Index
Fetch the complete documentation index at: https://qovery-docs-cronjob-required-affinity.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Organization ID
Organization api token created
Was this page helpful?